Skip to navigation

List all results of a mass action

View as Markdown
Describes how to get information about the result of a mass action through the REST API.

Authentication

AuthorizationBearer

Use Bearer {{token}} in the Authorization header for authentication.

Path parameters

bulk-keystringRequired

String of 32 characters that identifies a mass action. You get the bulk-key after performing a mass action through the REST API.

Headers

Accept-EncodingstringOptional

Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response.

If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it.

Content-EncodingstringOptional

Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload.

Zuora-Track-IdstringOptional<=64 characters

A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue.

The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote (').

Zuora-Entity-IdsstringOptional

An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header.

Zuora-Org-IdsstringOptional

Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header.

The IDs must be a sub-set of the user’s accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user’s accessible orgs.

Zuora-VersionstringOptional

The minor API version.

For a list of available minor versions, see API upgrades.

Response headers

Content-EncodingstringOptional

This header is returned if you specify the Accept-Encoding: gzip request header and the response contains over 1000 bytes of data.

Note that only the following MIME types support gzipped responses:

  • application/json
  • application/xml
  • text/html
  • text/csv
  • text/plain
RateLimit-LimitstringOptional

The request limit quota for the time window closest to exhaustion. See rate limits for more information.

RateLimit-Remainingdouble

The number of requests remaining in the time window closest to quota exhaustion. See rate limits for more information.

RateLimit-Resetdouble

The number of seconds until the quota resets for the time window closest to quota exhaustion. See rate limits for more information.

Zuora-Request-IdstringOptional
The Zuora internal identifier of the API call. You cannot control the value of this header.
Zuora-Track-IdstringOptional
A custom identifier for tracing the API call. If you specified a tracing identifier in the request headers, Zuora returns the same tracing identifier. Otherwise, Zuora does not set this header.
Concurrency-Limit-TypestringOptional

The type of the concurrency limit, which can be Default, High-volume transactions, or Object Query.

For more information, see Concurrent request limits.

Concurrency-Limit-Limitinteger

The total number of the permitted concurrent requests.

For more information, see Concurrent request limits.

Concurrency-Limit-Remaininginteger

The remaining number of the permitted concurrent requests.

For more information, see Concurrent request limits.

Response

OK
actionTypestringOptional
Type of mass action.
endedOnstringOptional

Date and time that the mass action was completed. The format is yyyy-MM-dd hh:mm:ss.

errorCountstringOptional

Total number of failed records.

This field is updated in real time. When the mass action status is Processing, this field returns the number of records that have failed so far. When the mass action status is Pending, this field is null.

inputSizelongOptional
Size of the input file in bytes.
outputSizelongOptional
Size of the response file in bytes.
outputTypestringOptional

Type of output for the response file. The following table describes the output type.

Output TypeDescription
(url:.csv.zip)URL pointing to a zipped .csv file.
outputURLstringOptional

URL to download the response file. The response file is a zipped .csv file. The response file is identical to the file you uploaded to perform the mass action, with additional columns providing information about the outcome of each record. This field only returns a value when the mass action status is Completed or Stopped. Otherwise, this field is null.

processedCountstringOptional

Total number of processed records. This field is equal to the sum of errorCount and successCount.

This field is updated in real time. When the mass action status is Processing, this field returns the number of records that have been processed so far. When the mass action status is Pending, this field is null.

startedOnstringOptional

Date and time that Zuora started processing the mass action. The format is yyyy-MM-dd hh:mm:ss.

statusstringOptional

Status of the mass action. The following table describes the mass action statuses.

StatusDescription
PendingMass action has not yet started being processed.
ProcessingMass action is in progress.
StoppingMass action is in the process of stopping, but has not yet stopped.
StoppedMass action has stopped.
CompletedMass action was successfully completed. There may still be failed records.
FailedMass action failed. No records are processed. No response file is created.
successbooleanOptional

Returns true if the request was processed successfully.

successCountstringOptional

Total number of successful records. This field is updated in real time. When the mass action status is Processing, this field returns the number of records that have succeeded so far. When the mass action status is Pending, this field is null.

totalCountstringOptional

Total number of records in the uploaded mass action file. When the mass action status is Pending, this field is null.

uploadedBystringOptional
Email of the person who uploaded the mass action file.
uploadedOnstringOptional

Date and time that the mass action file was uploaded. The format is yyyy-MM-dd hh:mm:ss.

Errors

4XX
Client Request Error
500
Internal Server Error